package uhk.salay.npl.demonpl.jpa.repositorys;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import uhk.salay.npl.demonpl.jpa.model.Entity;
import uhk.salay.npl.demonpl.jpa.model.Type;

import java.util.List;

@Repository
public interface EntityRepository extends JpaRepository<Entity, Integer> {

  Entity findByName(String name);
  List<Entity> findByNameAndType(String name, Type type);
  List<Entity> findByNameLike(String name);

}
